Subject: Re: [PATCH v2 1/2] completion: stop showing 'save' for stash by default

From: Thomas Gummerer <[email-masked]>
Date: Sun, 22 Apr 2018 21:36:32 +0100

On 04/20, Duy Nguyen wrote:
> On Fri, Apr 20, 2018 at 1:25 AM, Thomas Gummerer <[email-masked]> wrote:
> > The 'save' subcommand in git stash has been deprecated in
> > fd2ebf14db ("stash: mark "git stash save" deprecated in the man page",
> > 2017-10-22).
> >
> > Stop showing it when the users enters 'git stash <tab>' or 'git stash
> > s<tab>'.  Keep showing it however when the user enters 'git stash sa<tab>'
> > or any more characters of the 'save' subcommand.
> 
> I don't think this is worth it. You only save two keystrokes for 've'
> and already waste one on <tab>.

I think the main reason for keeping the completion is not actually
saving keystrokes, but rather not giving the users the false
impression that we removed the command, or that something is wrong
with it, without properly warning them before.  That was the main
reason given in [1] why the completion is useful even for short
commands such as 'rm'.

So while I had the same impression before re-reading that thread, I
think keeping the completion for 'git stash sa<tab>' is the right
thing to do, and we can remove it some time after we started warning
about 'git stash save' being deprecated.

[1]: <[email-masked]>

> -- 
> Duy